aboutsummaryrefslogtreecommitdiff
path: root/package/ejabberd/0005-disable-ERLANG_DEPRECATED_CHECK.patch
blob: 4b68f5ff8507647bccc796a1e106b42847867b42 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
From d43a65b112ec995a5ee52aca2a16e5cf9699d7c1 Mon Sep 17 00:00:00 2001
From: Johan Oudinet <johan.oudinet@gmail.com>
Date: Wed, 20 Jan 2016 08:16:26 -0500
Subject: [PATCH] disable ERLANG_DEPRECATED_CHECK

Without this patch, the configure will try to execute erlang to check
if it uses deprecated types. Assume the answer is false.
---
 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index cd1ab08..a4f1533 100644
--- a/configure.ac
+++ b/configure.ac
@@ -235,7 +235,7 @@ if test "$ENABLEUSER" != ""; then
   AC_SUBST([INSTALLUSER], [$ENABLEUSER])
 fi
 
-ERLANG_DEPRECATED_TYPES_CHECK
+AC_SUBST(erlang_deprecated_types, false)
 
 if test "$sqlite" = "true"; then
    AX_LIB_SQLITE3([3.6.19])
-- 
2.5.0